# $Revision: 1.27 $, $Date: 2011/11/26 12:43:52 $
%define pkgname rcairo
Summary:	Cairo module for Ruby
Summary(pl.UTF-8):	Moduł Cairo dla języka Ruby
Name:		ruby-%{pkgname}
Version:	1.10.2
Release:	1
License:	GPL or custom (see COPYING)
Group:		Development/Languages
Source0:	http://cairographics.org/releases/rcairo-%{version}.tar.gz
# Source0-md5:	19587b3ace86a096ce8fcb316a2fb9e9
Patch0:		%{name}-hdr.patch
URL:		http://cairographics.org/rcairo/
BuildRequires:	cairo-devel >= 1.10.2
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.277
BuildRequires:	ruby-devel >= 1:1.8
BuildRequires:	ruby-pkg-config
Requires:	cairo >= 1.10.2
Requires:	ruby >= 1:1.8
# dropped?
Obsoletes:	ruby-rcairo-gtkcairo
%{?ruby_mod_ver_requires_eq}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# TODO: move this to rpm macros.build
%define 	ruby_hdrdir	%(ruby -r rbconfig -e 'print Config::CONFIG["rubyhdrdir"]')

%description
Cairo module for Ruby.

%description -l pl.UTF-8
Moduł Cairo dla języka Ruby.

%prep
%setup -q -n rcairo-%{version}
%patch0 -p1

%build
ruby extconf.rb

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
#install -d $RPM_BUILD_ROOT{%{ruby_archdir},%{ruby_hdrdir},%{_examplesdir}/%{name}-%{version}}
install -d $RPM_BUILD_ROOT{%{ruby_hdrdir},%{_examplesdir}/%{name}-%{version}}

%{__make} install \
	RUBYLIBDIR=$RPM_BUILD_ROOT%{ruby_rubylibdir} \
	RUBYHDRDIR=$RPM_BUILD_ROOT%{ruby_hdrdir} \
	sitearchdir=$RPM_BUILD_ROOT%{ruby_archdir}

cp -a samples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README.rdoc
%attr(755,root,root) %{ruby_archdir}/cairo.so
%{ruby_rubylibdir}/cairo
%{ruby_rubylibdir}/cairo.rb
%{_examplesdir}/%{name}-%{version}

# devel?
%{ruby_hdrdir}/rb_cairo.h

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ruby-rcairo.spec,v $
Revision 1.27  2011/11/26 12:43:52  qboosh
- updated to 1.10.2

Revision 1.26  2011/10/14 21:34:28  qboosh
- updated to 1.10.1

Revision 1.25  2010/10/08 05:45:14  qboosh
- updated to 1.10.0
- updated hdr patch

Revision 1.24  2010/07/31 21:19:41  baggins
- rel 3
- install header in proper place

Revision 1.23  2010/03/02 12:17:58  baggins
- up to 1.8.1

Revision 1.22  2008/09/29 18:58:17  qboosh
- updated to 1.8.0

Revision 1.21  2008/07/31 17:19:49  qboosh
- updated to 1.6.3

Revision 1.20  2008/06/16 20:50:49  qboosh
- updated to 1.6.2

Revision 1.19  2008/05/10 22:25:40  qboosh
- updated to 1.6.1

Revision 1.18  2008-04-13 11:10:00  qboosh
- updated to 1.6.0

Revision 1.17  2008-01-11 19:09:25  qboosh
- updated to 1.5.1

Revision 1.16  2007-05-29 15:27:58  aredridel
- 1.5.0

Revision 1.15  2007/03/16 23:31:15  qboosh
- updated to 1.4.1

Revision 1.14  2007/03/08 06:21:16  aredridel
- 1.4.0

Revision 1.13  2007/02/12 22:09:14  glen
- tabs in preamble

Revision 1.12  2007/02/12 01:06:31  baggins
- converted to UTF-8

Revision 1.11  2006/07/03 17:06:23  qboosh
- updated to 1.2.0

Revision 1.10  2005/12/31 10:36:33  twittner
- change %%ruby_mod_ver_requires_eq to %%{?ruby_mod_ver_requires_eq} -
  expand this macro only if defined to avoid parse error when appropriate
  BRs is not installed yet (solution provided by glen)

Revision 1.9  2005/12/29 16:59:48  twittner
- replace R: ruby-modules with %%ruby_mod_ver_requires_eq macro
  defined as `Requires: ruby-modules(ver) = 1.8' where `1.8' is
  major ruby version taken from rbconfig
- add BR: rpmbuild(macros) >= 1.277 with aforementioned macros

Revision 1.8  2005/11/19 13:32:04  glen
- use system ruby macros
- cleanups, corrections, cosmetics

Revision 1.7  2005/10/27 10:57:20  qboosh
- updated md5

Revision 1.6  2005/10/27 10:54:22  qboosh
- updated to recently released 1.0.0
- gtkcairo seems dropped

Revision 1.5  2005/05/01 06:41:46  ankry
- tabs

Revision 1.4  2005/04/28 19:38:48  qboosh
- more BRs; cairo dep should be autodetected

Revision 1.3  2005/04/28 19:34:56  qboosh
- gtkcairo desc fix

Revision 1.2  2005/04/27 11:11:30  spider
- pl

Revision 1.1  2005/04/26 21:40:12  aredridel
- added
